eiquadprog: eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon > Class Template Reference

eiquadprog 1.3.2 C++ reimplementation of eiquadprog

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon > Class Template Reference

`#include <eiquadprog/eiquadprog-rt.hpp>`

Collaboration diagram for eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >:
[legend]

## Public Member Functions
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | RtEiquadprog ()
virtual | ~RtEiquadprog ()
int | getMaxIter () const
bool | setMaxIter (int maxIter)
int | getActiveSetSize () const
int | getIteratios () const
double | getObjValue () const
const RtVectorX< nIneqCon+nEqCon >::d & | getLagrangeMultipliers () const
const RtVectorX< nIneqCon+nEqCon >::i & | getActiveSet () const
RtEiquadprog_status | solve_quadprog (const typename RtMatrixX< nVars, nVars >::d &Hess, const typename RtVectorX< nVars >::d &g0, const typename RtMatrixX< nEqCon, nVars >::d &CE, const typename RtVectorX< nEqCon >::d &ce0, const typename RtMatrixX< nIneqCon, nVars >::d &CI, const typename RtVectorX< nIneqCon >::d &ci0, typename RtVectorX< nVars >::d &x)

## Public Attributes
RtMatrixX< nVars, nVars >::d | m_J
bool | is_inverse_provided_

## Constructor & Destructor Documentation

## ◆ RtEiquadprog()

template<int nVars, int nEqCon, int nIneqCon>

eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::RtEiquadprog | ( |  | ) |

## ◆ ~RtEiquadprog()

template<int nVars, int nEqCon, int nIneqCon>

eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::~RtEiquadprog | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getActiveSet()

template<int nVars, int nEqCon, int nIneqCon>

const RtVectorX< nIneqCon+nEqCon >::i & eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::getActiveSet | ( |  | ) | const
| inline

Return the active set, namely the indeces of active constraints. The first nEqCon indexes are for the equalities and are negative. The last nIneqCon indexes are for the inequalities and start from 0. Only the first q elements of the return vector are valid, where q is the size of the active set.

Returns
  The set of indexes of the active constraints.

## ◆ getActiveSetSize()

template<int nVars, int nEqCon, int nIneqCon>

int eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::getActiveSetSize | ( |  | ) | const
| inline

Returns
  The size of the active set, namely the number of active constraints (including the equalities).

## ◆ getIteratios()

template<int nVars, int nEqCon, int nIneqCon>

int eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::getIteratios | ( |  | ) | const
| inline

Returns
  The number of active-set iteratios.

## ◆ getLagrangeMultipliers()

template<int nVars, int nEqCon, int nIneqCon>

const RtVectorX< nIneqCon+nEqCon >::d & eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::getLagrangeMultipliers | ( |  | ) | const
| inline

Returns
  The Lagrange multipliers

## ◆ getMaxIter()

template<int nVars, int nEqCon, int nIneqCon>

int eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::getMaxIter | ( |  | ) | const
| inline

## ◆ getObjValue()

template<int nVars, int nEqCon, int nIneqCon>

double eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::getObjValue | ( |  | ) | const
| inline

Returns
  The value of the objective function.

## ◆ setMaxIter()

template<int nVars, int nEqCon, int nIneqCon>

bool eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::setMaxIter | ( | int | maxIter | ) |
| inline

## ◆ solve_quadprog()

template<int nVars, int nEqCon, int nIneqCon>

RtEiquadprog_status eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::solve_quadprog | ( | const typename RtMatrixX< nVars, nVars >::d & | Hess,
|  | const typename RtVectorX< nVars >::d & | g0,
|  | const typename RtMatrixX< nEqCon, nVars >::d & | CE,
|  | const typename RtVectorX< nEqCon >::d & | ce0,
|  | const typename RtMatrixX< nIneqCon, nVars >::d & | CI,
|  | const typename RtVectorX< nIneqCon >::d & | ci0,
|  | typename RtVectorX< nVars >::d & | x )

solves the problem min. x' Hess x + 2 g0' x s.t. CE x + ce0 = 0 CI x + ci0 >= 0

## Member Data Documentation

## ◆ is_inverse_provided_

template<int nVars, int nEqCon, int nIneqCon>

bool eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::is_inverse_provided_

## ◆ m_J

template<int nVars, int nEqCon, int nIneqCon>

RtMatrixX<nVars,nVars>::d eiquadprog::solvers::RtEiquadprog< nVars, nEqCon, nIneqCon >::m_J

The documentation for this class was generated from the following files:

- include/eiquadprog/eiquadprog-rt.hpp
- include/eiquadprog/eiquadprog-rt.hxx